<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="text"/>
<xsl:template match="/">
/*
	This file is generated from the xml errors file with nuError.xsl transformation
	and should not be modified directly. Any change should be applied to the xml and xsl files
	and then this file should be regenerated. See Run|Run Configurations|XSL|.
*/	

<xsl:variable name="module_name"> <xsl:value-of select="errors/module_name"/></xsl:variable>


package <xsl:value-of select="errors/package"/>;

import com.namco.nusdk.core.NuError;
import com.namco.nusdk.core.Config;

public class <xsl:copy-of select="$module_name"/>Errors
{
	public static final int		Domain = Config.eNuModule.<xsl:copy-of select="$module_name"/>.getId();
	public static final String 	DomainName = "<xsl:value-of select="errors/package"/>";
	
	//Error codes
	<xsl:for-each select="errors/list/error">public static final int ERROR_<xsl:value-of select="@name"/> = <xsl:value-of select="@code"/>; 
	</xsl:for-each>

	// Error Classes
	
	<xsl:comment>
	//--------------------------------
	//      NetworkUnavailable
	//--------------------------------
	public static class NetworkUnavailable extends NuError
	{
		public NetworkUnavailable()
		{
			super( ERROR_NetworkUnavailable, Domain, DomainName, "Network unavailable.");
		}
		
		public NetworkUnavailable(String details)
		{
			this();
			this.details = details;
		}
	}
	</xsl:comment>
	
	<xsl:for-each select="errors/list/error">
	//---------------------------------------
	//	<xsl:value-of select="@name"/> 
	//---------------------------------------
	
	public static class <xsl:value-of select="@name"/> extends NuError
	{
		public <xsl:value-of select="@name"/>()
		{
			super(ERROR_<xsl:value-of select="@name"/>, "<xsl:value-of select="@name"/>", Domain, DomainName, "<xsl:value-of select="description"/>");
		}
		
		public <xsl:value-of select="@name"/>(String details)
		{
			this();
			this.details = details;
		}
		
		<xsl:for-each select="member">
		public <xsl:value-of select="@type"/> <xsl:value-of select="@name" /> = <xsl:value-of select="@init_value"/>;
		</xsl:for-each>
		
	}
	
	</xsl:for-each>

}

</xsl:template>
</xsl:stylesheet>	